﻿namespace UltraGridSample
{
    using System.ComponentModel;
    using System.Windows.Forms;
    using DataModels;
    using System.Drawing;
    
    public partial class SampleForm : Form
    {  
        public SampleForm()
        {
            this.InitializeComponent();            
            this.SampleGrid.DataSource = this.GetData();
        }

        private void SampleGrid_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.Row.DataChanged)
            {
                e.Row.RowSelectorAppearance.Image = Image.FromFile(@"../../Images/Pencil.png");
            }
            else
            {
                e.Row.RowSelectorAppearance.Image = Image.FromFile(@"../../Images/SelectedIcon.jfif");
            }
        }

        private BindingList<Product> GetData()
        {
            var products = new BindingList<Product>();
            products.Add(new Product { Id = 1, ProductName = "Product A" });
            products.Add(new Product { Id = 2, ProductName = "Product B" });
            products.Add(new Product { Id = 3, ProductName = "Product C" });
            products.Add(new Product { Id = 4, ProductName = "Product D" });
            products.Add(new Product { Id = 5, ProductName = "Product E" });

            return products;
        }
    }
}
